selenium环境搭建,版本火狐52+selenium 3.3 +geckodriver 15.0

作为一个测试的女同学,最近充满斗志,鸡血打的满满的,自学selenium中,在这里记录一下,有时候忘记了,好看看

作为初学者啥都不会,慢慢总结记录以后应该就慢慢明白了

1.selenium浏览器端插件、工具准备

fireBug、firePath、selenium IDE安装  ,都可在浏览器端找到并安装

2.环境的搭建:如java+selenium.webdriver 这真的是一个太痛苦的事情,弄的我差点就放弃了

遇到了好多问题,各种百度如:

1、Message: org.openqa.selenium.SessionNotCreatedException: Unable to create new remote session. desired capabilities = Capabilities [{marionette=true, browserName=firefox, moz:firefoxOptions=org.openqa.selenium.firefox.FirefoxOptions@13d4992d, version=, platform=ANY, firefox_profile=org.openqa.selenium.firefox.FirefoxProfile@302f7971}], required capabilities = Capabilities [{}]
Build info: version: '3.2.0', revision: '8c03df6b79', time: '2017-02-23 10:51:31 +0000'
System info: host: 'LTPLA102016', ip: '192.168.50.128', os.name: 'Windows 7', os.arch: 'amd64', os.version: '6.1', java.version: '1.8.0_111'Driver info: driver.version: FirefoxDriver
2、什么找不到firefox等等问题

最终解决了,终于运行起来的采用的版本为:火狐52+selenium 3.3 +geckodriver 15.0
问题解决参考网址:https://github.com/SeleniumHQ/selenium/issues/3630

下面将环境配置所需要的版本地址共享:

火狐下载:http://ftp.mozilla.org/pub/firefox/releases/

selenium下载:https://selenium-release.storage.googleapis.com/index.html

geckodriver下载:https://github.com/mozilla/geckodriver/releases

在公司的32位电脑上又不行了,试了好了火狐版本45+selenium 2.53 也可以用,只是不用geckodriver

解决一个最初级的问题,又可以进一步继续学习了,加油吧自己!

展开阅读全文

没有更多推荐了,返回首页